<?xml version="1.0"?>
<ruleset name="InPortal"
		 xmlns="http://pmd.sf.net/ruleset/1.0.0"
		 xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		 xsi:schemaLocation="http://pmd.sf.net/ruleset/1.0.0 http://pmd.sf.net/ruleset_xml_schema.xsd"
		 xsi:noNamespaceSchemaLocation="http://pmd.sf.net/ruleset_xml_schema.xsd">
	<description>
		In-Portal standard. Version: 1.0.1 from 21-Mar-2014
	</description>

	<rule ref="rulesets/codesize.xml">
		<!-- event handlers are usually large; figure out how to exclude only for them -->
		<exclude name="TooManyMethods"/>
		<exclude name="ExcessiveClassComplexity"/>
		<exclude name="ExcessiveClassLength"/>

		<!-- exclude because defined below -->
		<exclude name="ExcessiveMethodLength"/>
	</rule>

	<rule ref="rulesets/codesize.xml/ExcessiveMethodLength">
		<properties>
			<property name="minimum" value="120" />
		</properties>
	</rule>

	<rule ref="rulesets/design.xml">
		<!-- event handlers usually do much; figure out how to exclude only for them -->
		<exclude name="CouplingBetweenObjects"/>
	</rule>
	<rule ref="rulesets/naming.xml">
		<!-- let PHP_CodeSniffer check for them -->
		<exclude name="LongVariable"/>
		<exclude name="ConstantNamingConventions"/>

		<!-- exclude because defined below -->
		<exclude name="ShortVariable"/>
	</rule>

	<rule ref="rulesets/naming.xml/ShortVariable">
		<properties>
			<property name="minimum" value="2" />
		</properties>
	</rule>

	<rule ref="rulesets/unusedcode.xml">
		<!-- let PhpStorm deal with this -->
		<exclude name="UnusedFormalParameter"/>
	</rule>
</ruleset>
